Upstash Documentation

Retry Failure Callback

If the failure callback for a workflow run has failed, you can use this endpoint to manually trigger the failure callback again.
This is useful for ensuring that your system is notified of workflow failures even if the original callback attempt did not succeed.

The state of the failure callback for each workflow run is included in the DLQ message response as failureCallbackInfo.state.
You can filter for all workflow runs with a failed failure callback by using the failureCallbackState filter when listing workflow runs in the DLQ with the /v2/workflows/dlq endpoint.

1 min read
post/v2/workflows/dlq/callback/{dlqId}
Request example
Response
post/v2/workflows/dlq/callback/{dlqId}

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

dlqIdstringrequired#
The DLQ ID of the failed workflow run whose failure callback should be retried.

Responses

application/json
Failure callback retried successfully
workflowRunIdstring#
The ID of the workflow run.
workflowCreatedAtinteger#
The timestamp when the workflow run was created (Unix timestamp in milliseconds).